Application: gvSIG desktop - gvSIG bugs #1901
Project manager window is too small
06/07/2013 05:36 PM - Antonio Falciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Usability

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: project manager Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Being gvSIG 2.0 document types growing in number, it seems that the "Project manager" window size is not enough. First of all,
vertical scrollbar in document types should not be visible/active and then the PM window should be longer keeping the same actual
proportion. For example, restoring the PM window size of gvSIG 1.x could be a good design choice.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 5120: Rehace... New 10/23/2019

Associated revisions

Revision 41206 - 02/26/2014 09:08 PM - Joaquin del Cerro Murciano

Incrementado el tamario de la ventana ya que al parecer en Windows se requiere que sea ligeramente mas grande que en linux.

refs #1901

Revision 41385 - 06/02/2014 02:47 PM - Joaquin del Cerro Murciano

Eliminada la barra de scroll vertival en el panel de tipos de documento de la ventana del proyecto.

refs #1901

History

#1 - 07/31/2013 09:19 AM - Manuel Madrid
- Target version deleted (2.1.0-2217-devel)

#2 - 01/16/2014 12:51 PM - Alvaro Anguix
- Target version set to 2.1.0-2221-testing

#3 - 01/16/2014 12:52 PM - Alvaro Anguix
- Priority changed from Normal to Low
- Target version deleted (2.1.0-2221-testing)

#4 - 01/27/2014 01:53 PM - Antonio Falciano

- File startup.png added
- Target version set to 2.1.0-2221-testing
Here's a screenshot of the Project Manager window at startup (BN2217).

#5 - 02/18/2014 05:12 PM - Alvaro Anguix
- Assignee set to Ignacio Brodin

Al menos deberia tener el tamafio para incluir los documentos que van por defecto.

#6 - 02/18/2014 09:48 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2221-testing to 2.1.0-2220-testing

#7 - 02/19/2014 10:37 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#8 - 02/20/2014 10:30 AM - Alvaro Anguix

- Status changed from Fixed to Closed

#9 - 02/21/2014 12:20 AM - Alvaro Anguix

- Status changed from Closed to New

- Priority changed from Low to Normal

- Target version changed from 2.1.0-2220-testing to 2.1.0-2221-testing
- gvSIG build changed from 2066 to 2220

Reabro, en Linux se ha cambiado el tamario de la ventana, pero en Windows no.

#10 - 02/21/2014 01:20 PM - Alvaro Anguix
- Assignee changed from Ignacio Brodin to Joaquin del Cerro Murciano

#11 - 02/27/2014 03:11 AM - Joaquin del Cerro Murciano

El tamafio se habia cambiado para todos los sistemas, pero al parecer en Windows se requiere que sea algo mayor que en linux. He agrandado un

poco mas la ventana (a 450pixels) para que se vea mejor en Windows.

#12 - 02/27/2014 03:11 AM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#13 - 03/10/2014 03:28 PM - Alvaro Anguix
- Status changed from Fixed to Closed

#14 - 05/25/2014 01:57 PM - Antonio Falciano

- File project_manager_bn2227 _win.PNG added

- Status changed from Closed to New

- Target version changed from 2.1.0-2221-testing to 2.1.0-2259-rc3

I'm sorry, but | have to reopen this ticket, because the Project Manager size is too wide now at least in Windows. Furthermore the height of document

types area should be a little increased in order to eliminate the vertical scrollbar. | attach a new screenshot relative to BN2227.
@Alvaro: excuse me if | change the target version, but it's only a way to keep attention on this. Otherwise it could seem an issue related to an old build
and then pass unobserved. Then you can review accordingly to your policy.

#15 - 05/27/2014 12:33 PM - Alvaro Anguix

@Antonio, we review all the tickets. Don't worry about that. If more tickets are not assigned to this version, excepting the blockers ones, it's because
of a resources/time question. Anyway the final version is released we are going to be able to update packages when the bugs are fixed.

#16 - 06/03/2014 12:34 PM - Alvaro Anguix

- Status changed from New to Fixed

#17 - 06/03/2014 08:07 PM - Antonio Falciano

- File project_manager_bn2228_win.png added

- Status changed from Fixed to New

The vertical scrollbar in the Project Manager window is still there on windows.

#18 - 06/09/2014 12:20 PM - Alvaro Anguix

- Assignee changed from Joaquin del Cerro Murciano to Francisco Diaz Carsi
#19 - 06/16/2014 05:55 AM - Francisco Diaz Carsi

- Status changed from New to Fixed

Changed to fixed because | just tested the 2229 build in Windows and it seems that is already fixed.

#20 - 06/16/2014 06:50 AM - Antonio Falciano
- Status changed from Fixed to New
- File project_manager_bn2229 win.png added

Hi Francisco, this issue seems to be fixed if you have only four document types, but what's happen if you install the Map Sheets plugin or simply

enlarge the Project manager window? The vertical scrollbar appears again, sorry.

#21 - 06/16/2014 09:02 AM - Francisco Diaz Carsi
- File Project_manager_bn2229 win.png added

Hi Antonio.

I've just tested installing the Map Sheet Plugin and vertical scroll bar has disappeared.

| attach a screenshot.

#22 - 06/16/2014 09:02 AM - Francisco Diaz Carsi
- Status changed from New to Fixed
#23 - 06/16/2014 10:57 AM - Antonio Falciano

Francisco, do you mean that the vertical scrollbar has disappeared in a fresh BN2229 installation or after compiling source code?

#24 - 06/16/2014 12:19 PM - Francisco Diaz Carsi

In a fresh 2229 installation.

Antonio, where did you downloaded build 22297

#25 - 06/16/2014 12:25 PM - Antonio Falciano

| download it from

http://www.gvsig.org/plone/projects/gvsig-desktop/devel/gvsig/2 1 0/version

but it's not available right now. Is it retired?

#26 - 06/17/2014 10:46 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2229-testing

#27 - 06/23/2014 03:32 AM - Alvaro Anguix
- Status changed from Fixed to Closed

#28 - 08/05/2014 01:16 PM - Antonio Falciano

- Target version deleted (2.1.0-2229-testing)
- Status changed from Closed to New

Sometimes they come back. ;)

In reference to #1901#note-11, here's a simple Jython script that sets the optimum Project Manager window size on Windows:

from java.lang import System

from org.gvsig.app.project import ProjectManager

def main(*args):
""Set the size of the Project Manager window"'
os = System.getProperty("os.name")
if os.lower().startswith("win"):
pm = ProjectManager.getinstance()
cpw = pm.getCurrentProjectWindow()
wi = cpw.getWindowlInfo()
wi.setWidth(420)
wi.setHeight(540)
else:

pass

So it's possible to customize the size of Project Manager according the operating system, isn't?

#29 - 08/08/2014 10:47 AM - Antonio Falciano
http://www.gvsig.org/plone/projects/gvsig-desktop/devel/gvsig/2_1_0/version

- File project_manager_win_420_540.PNG added

#30 - 03/09/2015 01:05 PM - Francisco Diaz Carsi

Hi Antonio, please, could you check if the problem persists in 2.1.0-2269?

#31 - 03/09/2015 01:38 PM - Antonio Falciano

Hi Francisco,

| can confirm that the issue persists in 2269 (without using the snippets in #1901#note-28).

#32 - 03/25/2015 11:18 AM - Alvaro Anguix
- Category changed from Application to Usability

#33 - 06/20/2016 11:57 AM - Joaquin del Cerro Murciano

- Assignee deleted (Francisco Diaz Carsi)

#34 - 04/20/2020 02:07 PM - Alvaro Anguix

- Status changed from New to Won't fix

Este bug se sustituye por el 5120, que rehara todo el panel

#35 - 04/20/2020 02:07 PM - Alvaro Anguix

- Related to gvSIG feature requests #5120: Rehacer la interfaz del usuario de los documentos en la ventana de proyecto added
